exports.definition = {
    config: {
        columns: {
            name: "text",
            email: "text",
            twitter: "text"
        },
        defaults: {
            name: "Tony Lukasavage",
            email: "tlukasavage@appcelerator.com",
            twitter: "@tonylukasavage"
        },
        adapter: {
            type: "sql",
            collection_name: "info"
        }
    },
    extendModel: function(Model) {
        _.extend(Model.prototype, {});
        return Model;
    },
    extendCollection: function(Collection) {
        _.extend(Collection.prototype, {});
        return Collection;
    }
};

var Alloy = require("alloy"), _ = require("alloy/underscore")._, model, collection;

model = Alloy.M("info", exports.definition, [ function(migration) {
    migration.name = "info";
    migration.id = "201211191609645";
    migration.up = function(migrator) {
        migrator.createTable({
            columns: {
                name: "text",
                email: "text",
                twitter: "text"
            }
        });
    };
    migration.down = function(migrator) {
        migrator.dropTable("info");
    };
} ]);

collection = Alloy.C("info", exports.definition, model);

exports.Model = model;

exports.Collection = collection;