exports.definition = {
    config: {
        columns: {
            title: "text"
        },
        adapter: {
            type: "sql",
            collection_name: "movies"
        }
    },
    extendModel: function(Model) {
        _.extend(Model.prototype, {});
        return Model;
    },
    extendCollection: function(Collection) {
        _.extend(Collection.prototype, {});
        return Collection;
    }
};

var Alloy = require("alloy"), _ = require("alloy/underscore")._, model, collection;

model = Alloy.M("movies", exports.definition, [ function(migration) {
    migration.name = "movies";
    migration.id = "201211191737234";
    migration.up = function(migrator) {
        migrator.createTable({
            columns: {
                title: "text"
            }
        });
    };
    migration.down = function(migrator) {
        migrator.dropTable("movies");
    };
} ]);

collection = Alloy.C("movies", exports.definition, model);

exports.Model = model;

exports.Collection = collection;